/*
 * Copyright (C) 2012 ALT Linux
 *
 * Contact: Paul Wolneykien <manowar@altlinux.org>
 *
 * Copyright (C) 2009 Nokia Corporation.
 *
 * Contact: Marius Vollmer <marius.vollmer@nokia.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA
 *
 */

#include "propertylistener.h"
#include <contextsubscriber/contextproperty.h>
#include <contextsubscriber/contextpropertyinfo.h>
#include <QVariant>
#include <QCoreApplication>
#include <QDBusArgument>
#include <QDebug>

PropertyListener::PropertyListener(const QString &key, handler onchange_handler)
{
    prop = new ContextProperty(key, this);
    onchange = onchange_handler;
    QObject::connect(prop, SIGNAL(valueChanged()), this, SLOT(onValueChanged()));
}

void PropertyListener::onValueChanged()
{
    QVariant value = prop->value();
    if (onchange) {
        onchange (&value);
    }
}
